Page MenuHomePhabricator

mediawiki-core-qunit-selenium-jessie tests for math broken
Closed, ResolvedPublic

Description

The qUnit tests fail for my patch, which is totally unrelated to qunit.
I get the following exception

13:03:22 [chrome #0-3] 1) Echo alerts and notices are visible after logging in:
13:03:22 [chrome #0-3] false == true
13:03:22 [chrome #0-3] AssertionError: false == true
13:03:22 [chrome #0-3]     at Context.<anonymous> (/home/jenkins/workspace/mediawiki-core-qunit-selenium-jessie/src/extensions/Echo/tests/selenium/specs/echo.js:13:3)

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 20 2018, 2:15 PM

I did discuss with @zeljkofilipin to disable quit selenium tests for now.
However, the tests seem to be fixed. Now I'm unsure how to proceed.

zeljkofilipin triaged this task as High priority.May 24 2018, 9:45 AM

I have merged the change that moved qunit-selenium job from experimental to test and gate-and-submit pipelines. Now the job runs only in experimental pipeline. There seems to be a problem with the job failing with Core and/or Echo Selenium test failures for some repositories. See parent job for more information.

hashar closed this task as Resolved.Jun 14 2018, 8:28 AM

That is most probably related to T189762 T191537 . The user session being logged out due to a bug in mediawiki/core. Fixed by https://gerrit.wikimedia.org/r/439289

Change 440325 had a related patch set uploaded (by Zfilipin; owner: Zfilipin):
[integration/config@master] Revert "Run qunit-selenium job for Math in experimental pipeline"

https://gerrit.wikimedia.org/r/440325

Change 440325 merged by jenkins-bot:
[integration/config@master] Run Selenium tests for Math

https://gerrit.wikimedia.org/r/440325

Vvjjkkii renamed this task from mediawiki-core-qunit-selenium-jessie tests for math broken to xkcaaaaaaa.Jul 1 2018, 1:09 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed zeljkofilipin as the assignee of this task.
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
thcipriani renamed this task from xkcaaaaaaa to mediawiki-core-qunit-selenium-jessie tests for math broken.Jul 1 2018, 7:30 PM
thcipriani closed this task as Resolved.
thcipriani assigned this task to zeljkofilipin.
thcipriani updated the task description. (Show Details)
CommunityTechBot lowered the priority of this task from High to Normal.Jul 5 2018, 6:44 PM